{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "PCOD_CODE"; 
            externalType = VARCHAR2; 
            name = pcodCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }, 
        {
            columnName = "PCOD_LIBELLE"; 
            externalType = VARCHAR2; 
            name = pcodLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            columnName = "PCOD_ORDRE"; 
            externalType = NUMBER; 
            name = pcodOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (pcodOrdre, pcodCode, pcodLibelle); 
    className = "org.cocktail.mangue.modele.goyave.EOPrimeCode"; 
    classProperties = (pcodCode, pcodLibelle, dCreation, dModification); 
    externalName = "GOYAVE.PRIME_CODE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (pcodCode, pcodLibelle); 
        "_nameInObjectStore" = "PRIME_CODE"; 
    }; 
    name = PrimeCode; 
    primaryKeyAttributes = (pcodOrdre); 
}
